/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2020 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
#pragma once

//****************西班牙语***************************
#define TOOL_TEXT_SP            "Ajustes"
#define PREHEAT_TEXT_SP         "Precalentar"//"precalent\nar"
#define MOVE_TEXT_SP            "Mover"
#define HOME_TEXT_SP            "Origen"
#define PRINT_TEXT_SP           "Imprimir"
#define EXTRUDE_TEXT_SP         "Extrusor"
#define LEVELING_TEXT_SP        "Leveling"//"nivelac\nión"
#define AUTO_LEVELING_TEXT_SP   "Autolevel"//"auto\nnivelación"
#define SET_TEXT_SP             "Config"
#define MORE_TEXT_SP            "Más"

#define ADD_TEXT_SP             "Más"
#define DEC_TEXT_SP             "Menos"
#define EXTRUDER_1_TEXT_SP      "Extrusor1: "
#define EXTRUDER_2_TEXT_SP      "Extrusor2: "
#define HEATBED_TEXT_SP         "Cama: "
#define TEXT_1C_SP              "1℃"
#define TEXT_5C_SP              "5℃"
#define TEXT_10C_SP             "10℃"
#define CLOSE_TEXT_SP           "Apagar"

#define BACK_TEXT_SP            "Atrás"

#define TOOL_PREHEAT_SP         "Precalentar"
#define TOOL_EXTRUDE_SP         "Extrusor"
#define TOOL_MOVE_SP            "Mover"
#define TOOL_HOME_SP            "Origen"
#define TOOL_LEVELING_SP        "Leveling"
#define TOOL_AUTO_LEVELING_SP   "Autolevel"
#define TOOL_FILAMENT_SP        "Filamento"
#define TOOL_MORE_SP            "Más"

#define AXIS_X_ADD_TEXT_SP      "X+"
#define AXIS_X_DEC_TEXT_SP      "X-"
#define AXIS_Y_ADD_TEXT_SP      "Y+"
#define AXIS_Y_DEC_TEXT_SP      "Y-"
#define AXIS_Z_ADD_TEXT_SP      "Z+"
#define AXIS_Z_DEC_TEXT_SP      "Z-"
#define TEXT_01MM_SP            "0.1mm"
#define TEXT_1MM_SP             "1mm"
#define TEXT_10MM_SP            "10mm"

#define HOME_X_TEXT_SP          "EJE X"
#define HOME_Y_TEXT_SP          "EJE Y"
#define HOME_Z_TEXT_SP          "EJE Z"
#define HOME_ALL_TEXT_SP        "TODOS"
#define HOME_STOPMOVE_SP        "Quickstop"

#define PAGE_UP_TEXT_SP         "Arriba"
#define PAGE_DOWN_TEXT_SP       "Abajo"

#define EXTRUDER_IN_TEXT_SP             "Dentro"
#define EXTRUDER_OUT_TEXT_SP            "Fuera"
#define EXTRUDE_1MM_TEXT_SP             "1mm"
#define EXTRUDE_5MM_TEXT_SP             "5mm"
#define EXTRUDE_10MM_TEXT_SP            "10mm"
#define EXTRUDE_LOW_SPEED_TEXT_SP       "Baja"
#define EXTRUDE_MEDIUM_SPEED_TEXT_SP    "Media"
#define EXTRUDE_HIGH_SPEED_TEXT_SP      "Alta"

#define LEVELING_POINT1_TEXT_SP         "Primero"
#define LEVELING_POINT2_TEXT_SP         "Segundo"
#define LEVELING_POINT3_TEXT_SP         "Tercero"
#define LEVELING_POINT4_TEXT_SP         "Cuarto"
#define LEVELING_POINT5_TEXT_SP         "Quinto"

#define FILESYS_TEXT_SP         "Puerto"
#define WIFI_TEXT_SP            "WiFi"
#define FAN_TEXT_SP             "Ventilador"
#define ABOUT_TEXT_SP           "Acerca"
#define BREAK_POINT_TEXT_SP     "Continuar"
#define FILAMENT_TEXT_SP        "Filamento"
#define LANGUAGE_TEXT_SP        "Language"
#define MOTOR_OFF_TEXT_SP       "Apagar motor"
#define MOTOR_OFF_XY_TEXT_SP    "Off-XY"
#define SHUTDOWN_TEXT_SP        "Apagar"
#define MACHINE_PARA_SP         "Config"
#define EEPROM_SETTINGS_SP      "Eeprom Set"

#define U_DISK_TEXT_SP              "PENDRIVE"
#define SD_CARD_TEXT_SP             "SD"
#define WIFI_NAME_TEXT_SP           "WIFI: "
#define WIFI_KEY_TEXT_SP            "Contraseña: "
#define WIFI_IP_TEXT_SP             "IP: "
#define WIFI_AP_TEXT_SP             "Estado: AP"
#define WIFI_STA_TEXT_SP            "Estado: STA"
#define WIFI_CONNECTED_TEXT_SP      "Conectado"
#define WIFI_DISCONNECTED_TEXT_SP   "Desconectado"
#define WIFI_EXCEPTION_TEXT_SP      "Excepción"
#define WIFI_RECONNECT_TEXT_SP      "Reconnect"
#define CLOUD_TEXT_SP               "Nube"
#define CLOUD_BIND_SP               "Atado"
#define CLOUD_UNBIND_SP             "Sin atar"
#define CLOUD_UNBINDING_SP          "Unbinding"
#define CLOUD_DISCONNECTED_SP       "Disconnected"
#define CLOUD_UNBINDED_SP           "Unbinded"
#define CLOUD_BINDED_SP             "Binded"
#define CLOUD_DISABLE_SP            "Disable"

#define FAN_ADD_TEXT_SP             "Más"
#define FAN_DEC_TEXT_SP             "Menos"
#define FAN_OPEN_TEXT_SP            "100%"
#define FAN_HALF_TEXT_SP            "50%"
#define FAN_CLOSE_TEXT_SP           "0%"
#define FAN_TIPS1_TEXT_SP           "ventilador"
#define FAN_TIPS2_TEXT_SP           "ventilador\n0"

#define FILAMENT_IN_TEXT_SP         "Dentro"
#define FILAMENT_OUT_TEXT_SP        "Fuera"
#define FILAMENT_EXT0_TEXT_SP       "Extrusor1"
#define FILAMENT_EXT1_TEXT_SP       "Extrusor2"
#define FILAMENT_HEAT_TEXT_SP       "Precalentar"
#define FILAMENT_STOP_TEXT_SP       "Parar"
//#define FILAMENT_CHANGE_TEXT_SP   "Filamento"
#define FILAMENT_TIPS2_TEXT_SP      "T:"
#define FILAMENT_TIPS3_TEXT_SP      "Dentro..."
#define FILAMENT_TIPS4_TEXT_SP      "Fuera..."
#define FILAMENT_TIPS5_TEXT_SP      "Temperatura demasiado baja, por favor calentar"
#define FILAMENT_TIPS6_TEXT_SP      "Completado"
#if 0
  #define FILAMENT_REPLAYS_IDLE_TEXT_SP           "Please click <Dentro> or <Fuera> \nto replace filament!"
  #define FILAMENT_CHANGE_TEXT_SP                 "Please click <Dentro> or <Fuera>,\nAfter pinter pause."
  #define FILAMENT_DIALOG_LOAD_HEAT_TIPS_SP       "Calentando el extrusor, por favor espere..."
  #define FILAMENT_DIALOG_UNLOAD_HEAT_TIPS_SP     "Calentando el extrusor, por favor espere..."
  #define FILAMENT_DIALOG_LOAD_CONFIRM1_TIPS_SP   "Temperatura alcanzada.Inserte el filamento y luego presione\"Confirmar\"para comenzar la carga."
  #define FILAMENT_DIALOG_LOAD_CONFIRM2_TIPS_SP   "Inserte el filamento y luego presione\"Confirmar\"para comenzar la carga."
  #define FILAMENT_DIALOG_UNLOAD_CONFIRM_TIPS_SP  "Temperatura alcanzada.Presione\"Confirmar\"para retirar el filamento."
  #define FILAMENT_DIALOG_LOADING_TIPS_SP         "Cargando filamento,por favor espere."
  #define FILAMENT_DIALOG_UNLOADING_TIPS_SP       "Retirando filamento,por favor espere."
  #define FILAMENT_DIALOG_LOAD_COMPLETE_TIPS_SP   "Filamento cargado,presione\"Confirmar\"."
  #define FILAMENT_DIALOG_UNLOAD_COMPLETE_TIPS_SP "Filamento retirado,presione\"Confirmar\"."
#else
  #define FILAMENT_CHANGE_TEXT_SP                 "Please click <Load> \nor <unload>,After \npinter pause."
  #define FILAMENT_DIALOG_LOAD_HEAT_TIPS_SP       "Calentando el extrusor,\npor favor espere..."
  #define FILAMENT_DIALOG_UNLOAD_HEAT_TIPS_SP     "Calentando el extrusor,\npor favor espere..."
  #define FILAMENT_DIALOG_LOAD_CONFIRM1_TIPS_SP   "Temperatura alcanzada.Inserte el \nfilamento y luego presione\"Confirmar\"\npara comenzar la carga."
  #define FILAMENT_DIALOG_LOAD_CONFIRM2_TIPS_SP   "Inserte el filamento y \nluego presione\"Confirmar\"para \ncomenzar la carga."
  #define FILAMENT_DIALOG_UNLOAD_CONFIRM_TIPS_SP  "Temperatura alcanzada.\nPresione\"Confirmar\"para retirar \nel filamento."
  #define FILAMENT_DIALOG_LOADING_TIPS_SP         "Cargando filamento,\npor favor espere."
  #define FILAMENT_DIALOG_UNLOADING_TIPS_SP       "Retirando filamento,\npor favor espere."
  #define FILAMENT_DIALOG_LOAD_COMPLETE_TIPS_SP   "Filamento cargado,\npresione\"Confirmar\"."
  #define FILAMENT_DIALOG_UNLOAD_COMPLETE_TIPS_SP "Filamento retirado,\npresione\"Confirmar\"."
#endif

#define PRE_HEAT_EXT_TEXT_SP        "Extrusor"
#define PRE_HEAT_BED_TEXT_SP        "cama"

#define FILE_LOADING_SP             "Cargando......"
#if 0
  #define NO_FILE_AND_CHECK_SP        "No se encontraron archivos! Por favor, inserte la tarjeta SD o el disco U!"
#endif
#define NO_FILE_AND_CHECK_SP        "Archivo no encontrado,\n         por favor insertar SD o disco USB!"

#define NO_FILE_SP                  "Sin archivo!"



#define EXTRUDER_TEMP_TEXT_SP       "Temper"
#define EXTRUDER_E_LENGTH1_TEXT_SP  "Extrusor1"
#define EXTRUDER_E_LENGTH2_TEXT_SP  "Extrusor2"
#define EXTRUDER_E_LENGTH3_TEXT_SP  "Extrusor3"

#define ABOUT_TYPE_TEXT_SP          "Pantalla: "
#define ABOUT_VERSION_TEXT_SP       "Firmware: "
#define ABOUT_WIFI_TEXT_SP          "WiFi: "

#define PRINTING_OPERATION_SP       "Ajustes"
#define PRINTING_PAUSE_SP           "Pausar"
#define PRINTING_TEMP_SP            "Temp."
#define PRINTING_CHANGESPEED_SP     "Velocidad"
#define PRINTING_RESUME_SP          "Resumir"
#define PRINTING_STOP_SP            "Detener"
#define PRINTING_MORE_SP            "Más"
#define PRINTING_EXTRUDER_SP        "Extrusor"
#define PRINTING_MOVE_SP            "Mover"

#define EXTRUDER_SPEED_SP           "Extrusor"
#define MOVE_SPEED_SP               "Mover"
#define EXTRUDER_SPEED_STATE_SP     "Extrusión"
#define MOVE_SPEED_STATE_SP         "Movimiento"
#define STEP_1PERCENT_SP            "1%"
#define STEP_5PERCENT_SP            "5%"
#define STEP_10PERCENT_SP           "10%"

#define TITLE_READYPRINT_SP         "Inicio"
#define TITLE_PREHEAT_SP            "Precalentar"
#define TITLE_MOVE_SP               "Mover"
#define TITLE_HOME_SP               "Origen"
#define TITLE_EXTRUDE_SP            "Extrusor"
#define TITLE_LEVELING_SP           "Leveling"
#define TITLE_SET_SP                "Config"
#define TITLE_MORE_SP               "Más"
#define TITLE_CHOOSEFILE_SP         "Imprimir"
#define TITLE_PRINTING_SP           "Imprimir"
#define TITLE_OPERATION_SP          "Ajustes"
#define TITLE_ADJUST_SP             "Temp."
#define TITLE_WIRELESS_SP           "Wireless"
#define TITLE_FILAMENT_SP           "Filamento"
#define TITLE_ABOUT_SP              "Acerca"
#define TITLE_FAN_SP                "Ventilador"
#define TITLE_LANGUAGE_SP           "Language"
#define TITLE_PAUSE_SP              "Pausar"
#define TITLE_CHANGESPEED_SP        "Velocidad"
#define TILE_TOOL_SP                "Ajustes"
#define TITLE_CLOUD_TEXT_SP         "Cloud"
#define TITLE_DIALOG_CONFIRM_SP     "Confirmar"
#define TITLE_FILESYS_SP            "Puerto"

#define AUTO_SHUTDOWN_SP            "Auto"
#define MANUAL_SHUTDOWN_SP          "manual"

#define DIALOG_CONFIRM_SP           "Confirmar"
#define DIALOG_CANCLE_SP            "Cancelar"
#define DIALOG_OK_SP                "OK"
#define DIALOG_RESET_SP             "Resetear"
#define DIALOG_RETRY_SP             "Reintentar"
#define DIALOG_DISABLE_SP           "Desactivar"
#define DIALOG_PRINT_MODEL_SP       "¿Está seguro?"
#define DIALOG_CANCEL_PRINT_SP      "¿Está seguro que desea detener la impresión?"

#define DIALOG_RETRY_SP             "Reintentar"
#define DIALOG_STOP_SP              "Stop"
#define DIALOG_REPRINT_FROM_BREAKPOINT_SP "Reprint from breakpoint?"
//#define DIALOG_UNBIND_PRINTER_SP    "Unbind the printer?"
#define DIALOG_ERROR_TIPS1_SP         "Error:archivo no encontrado, \npor favor insertar SD o disco USB."
#define DIALOG_ERROR_TIPS2_SP         "error:transacción fallida, \nconfigurar  baudrate del \ndisplay para la placa base!"
#define DIALOG_ERROR_TIPS3_SP         "Error : nombre de archivo o \nruta demasiado largo!"
#define DIALOG_CLOSE_MACHINE_SP       "Closing machine......"
#define DIALOG_UNBIND_PRINTER_SP      "Unbind the printer?"
#define DIALOG_FILAMENT_NO_PRESS_SP   "Filament detection switch is not pressed"
#define DIALOG_PRINT_FINISH_SP        "¡La impresión está completa!"
#define DIALOG_PRINT_TIME_SP          "Tiempo de impresión: "
#define DIALOG_REPRINT_SP             "Print again"
#define DIALOG_WIFI_ENABLE_TIPS_SP    "The wifi module is being configured,\nplease wait a moment....."

#define PRINTING_SP               "Imprimiendo"
#define PRINTING_AJUSTES_SP       "Ajustes"
#define PRINTING_PAUSAR_SP        "Pausar"

#define MESSAGE_PAUSING_SP        "Aparcando..."
#define MESSAGE_CHANGING_SP       "Esperando para iniciar el cambio de filamento"
#define MESSAGE_UNLOAD_SP         "Espere para liberar el filamento"
#define MESSAGE_WAITING_SP        "Pulsar el botón para reanudar impresión"
#define MESSAGE_INSERT_SP         "Inserte el filamento y pulse el botón para continuar..."
#define MESSAGE_LOAD_SP           "Espere para purgar el filamento"
#define MESSAGE_PURGE_SP          "Espere para purgar el filamento"
#define MESSAGE_RESUME_SP         "Esperando impresora para reanudar..."
#define MESSAGE_HEAT_SP           "Pulse el botón para calentar la boquilla"
#define MESSAGE_HEATING_SP        "Calentando boquilla Espere por favor..."
#define MESSAGE_OPTION_SP         "¿Purgar más o continuar con la impresión?"
#define MESSAGE_PURGE_MORE_SP     "Purga"
#define MESSAGE_CONTINUE_PRINT_SP "Impresión"
#define EEPROM_SETTINGS_TITLE_SP  "Configuraciones EEPROM"
#define EEPROM_SETTINGS_STORE_SP  "Guardar configuración en EEPROM"
#define EEPROM_SETTINGS_READ_SP   "Leer la configuración de EEPROM"
#define EEPROM_SETTINGS_REVERT_SP "Revert settings to factory defaults"

#define EEPROM_STORE_TIPS_SP  "¿Guardar ajustes en EEPROM?"
#define EEPROM_READ_TIPS_SP   "Leer la configuración de EEPROM?"
#define EEPROM_REVERT_TIPS_SP "Revert settings to factory defaults?"
